GNU bug report logs - #37895
26.3; X protocol error: BadLength (poly request too large or internal Xlib length error) on protocol request 139

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Unknown <ax487@HIDDEN>; Keywords: fixed; merged with #37786; Done: Robert Pluim <rpluim@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 37786 <at> debbugs.gnu.org and Allen Li <darkfeline@HIDDEN> Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 37786 37895. Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37895 <at> debbugs.gnu.org:


Received: (at 37895) by debbugs.gnu.org; 27 Oct 2019 08:09:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 27 04:09:53 2019
Received: from localhost ([127.0.0.1]:41636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iOdcW-0001lo-N3
	for submit <at> debbugs.gnu.org; Sun, 27 Oct 2019 04:09:52 -0400
Received: from mail-wm1-f42.google.com ([209.85.128.42]:33112)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iOdcU-0001lb-FA
 for 37895 <at> debbugs.gnu.org; Sun, 27 Oct 2019 04:09:51 -0400
Received: by mail-wm1-f42.google.com with SMTP id 6so7295297wmf.0
 for <37895 <at> debbugs.gnu.org>; Sun, 27 Oct 2019 01:09:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=Yacwtd/wI/YAf6fpUwVPCknv9MKZgoPQ2qxxJ0mSBas=;
 b=cZD8raWrRWDNIND1iwC/abHBwvychgn4yihjvB9Lh3zHVpvzn+L5XRwY3CD2LWvuNh
 o39bht+S9iDMctLwnfs2aqiTLjQEsqTcHy2p+dNqPNzODX31NO1DjEdr1nIofUGSoeyw
 Gr/XWPGWER29/ulrlvrkEFDO4fWBmrjVs3ykPLrI8nzpaqsd0zkhO/CoqpsfTyDA/Ygu
 KK2RCcWCSC+Pcn2p1f9U+9/rk7D9nzyGSGb53ub/yTfpdEo6PvJC31pl7lXNv90oEUsb
 qZxVpvB2soAou1g9Vj4aPMyCuGHC0z/rrAvL5v0WRcjHEFnflWMBgOOswKjVPeWzfMBp
 feOQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=Yacwtd/wI/YAf6fpUwVPCknv9MKZgoPQ2qxxJ0mSBas=;
 b=NRr35g9rkNRDCoBPCWAQLhbITT6HUTInZqagBEl+UuzQFeUgeTm3avDNNk06oKByXk
 CVVALRcKvZ+phhKkgibV41vr9fAcuf8m0p3HP1FIaCbb1UcU/poy6jfj1XZbKg3xRJf0
 dYeMFT9dB67Sc0RYscNUkYxr7bwa+nu9OehZUfUnFb/S9w8GQii0RuB1p/ul4KmjvVM0
 M7s5URteAXeEFmDoeWtgLXuX9oseKlrVXWPbBKnQFx9+E/QoMep1jwIA8x1FoZAfPJgi
 tUnPCyD81PyazcLGbhI4UDCF8Rh6QaM0NHCeZN5qVhNfEr/3PM4zRjjrvxUhRZnBzjkT
 uhfA==
X-Gm-Message-State: APjAAAWMxacOFpJUpF+32eiV8U/x3sNKvlqzBa/jxTJj9f05swbymjG0
 E67o7ieVFzprJ8u+f76KPDloaByd
X-Google-Smtp-Source: APXvYqwHuLNRSDXegu4bShUBt71BwFt0BohmCJvhoFJfmT9WkS2aD7bGi/bPkQ5ygfhpj8uI5LZweg==
X-Received: by 2002:a1c:a68e:: with SMTP id
 p136mr10527300wme.141.1572163783949; 
 Sun, 27 Oct 2019 01:09:43 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:402:a949:d521:f754])
 by smtp.gmail.com with ESMTPSA id 37sm13037517wrc.96.2019.10.27.01.09.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 27 Oct 2019 01:09:42 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Unknown <ax487@HIDDEN>
Subject: Re: bug#37895: 26.3; X protocol error: BadLength (poly request too
 large or internal Xlib length error) on protocol request 139
References: <76051a354c8fe7d23632226f5b51d93233c3c522.camel@HIDDEN>
 <83k18uxn29.fsf@HIDDEN>
 <2bc605b7f4bce3cdf8a705b31ba8b1667cfe461b.camel@HIDDEN>
 <837e4uxgdr.fsf@HIDDEN>
 <898cb0bbc5006ac293c21eb8dfe876faf3f6be27.camel@HIDDEN>
 <m2imocrdci.fsf@HIDDEN>
 <e0f168af7a18e4cbeadacfe2fad997d2b72a6909.camel@HIDDEN>
Date: Sun, 27 Oct 2019 09:09:42 +0100
In-Reply-To: <e0f168af7a18e4cbeadacfe2fad997d2b72a6909.camel@HIDDEN>
 (Unknown's message of "Sat, 26 Oct 2019 12:36:26 +0200")
Message-ID: <m2eeyyr4mx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37895
Cc: Eli Zaretskii <eliz@HIDDEN>, 37895 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Please keep 37895 <at> debbugs.gnu.org in the CC so we have everything in
one place.

    >> Bug 37786 looks very similar to this (and on Arch Linux as well). If
    >> you can build the emacs-26 branch, could you see if the following
    >> patch fixes your crash?
    >>=20
    >>=20

    Unknown> I applied the patch (with some tweaking) and it does seem to f=
ix the
    Unknown> issue. Thank you very much :)

Thanks for testing, I hope the tweaking was not significant. I=CA=BCll
merge this bug into 37786 and clean up the patch.

Regards




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37895; Package emacs. Full text available.

Message received at 37895 <at> debbugs.gnu.org:


Received: (at 37895) by debbugs.gnu.org; 25 Oct 2019 16:37:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 25 12:37:12 2019
Received: from localhost ([127.0.0.1]:39309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iO2aN-0003gw-Pd
	for submit <at> debbugs.gnu.org; Fri, 25 Oct 2019 12:37:12 -0400
Received: from mail-wr1-f68.google.com ([209.85.221.68]:39307)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iO2aL-0003gh-UJ
 for 37895 <at> debbugs.gnu.org; Fri, 25 Oct 2019 12:37:10 -0400
Received: by mail-wr1-f68.google.com with SMTP id a11so3052687wra.6
 for <37895 <at> debbugs.gnu.org>; Fri, 25 Oct 2019 09:37:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=0eo/CDI1xz4AygS5ysp4dekEtrnDRKYnAIcJPDg/nIw=;
 b=Rsl6hcUaT63uD5BBjrkGx2GvhaFgmfloemtKc+XlwJlX7fa65uPPWZqjAMR9fFoB6U
 Ru3Ug27j3S9XEyjx3QRyGHCG3xI+h7YDopE8AfMMXkgMGgcIwFtMUFSsonYro5eEmjYp
 HuQNLdnelRz3ODgG4o+pUEN13M8Lf4Q77HhraP8jD+QXHroMnlqPuoG1By/DUVG3O88a
 4zsVzq0M0M1DWP6GmdNDUuCS00gUuY/CrsFtxAikI4MXSys8Sp9Y9Wm3NQ49H8Rsqk2j
 XM46MrTVKXifvzyp90A36dVR3ABTSKIPS5FFE0JPN0p1TXaJ/mCaSU9pyQ41d5XrKToy
 l5sw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=0eo/CDI1xz4AygS5ysp4dekEtrnDRKYnAIcJPDg/nIw=;
 b=gtrSekhDnTIJo8FccoF7CZJp9qRVuoI+A4zlbxv7X2OAcqjxjZ8pQVLfyxiTIaMUre
 c9y0mW0pbtFdZUY9Nh0jWXiKaTcD7JQjvYNQhQCeSa98qoxKEtgzdtF/HJi1bfoHGOg5
 gyhZ5T+bicz8shubwFc3v2tAtHFKPrrpWx+nDK6kr7KOQLd+DkHFk9oOm/wMpP8JP6QG
 w5Mge/G3p0x586h6M3XpWWg2jSQGtT1HCcBD1OUHpflAzdB2KCAgMJNTLMEHT6+pr3Zi
 bDudF/FKkZXHdxp/wClL/TPrVixorR2aW4WEfDP7BVgpHGJvHuRybWkPPZQqWcOsaq4B
 8UPA==
X-Gm-Message-State: APjAAAXvXcGHP1D+lV59qEzKBVFVYXeSlCPE5AlxKGVcE8d0PVSyqG00
 sr1jT2IkxHTkU41aKU2en9h+HZhp
X-Google-Smtp-Source: APXvYqxDlyLXuhNrZrv5A4hrtK+4Murcc2iiz19eQO6k7lZdJHiNWmuEykt0XgrtUg0sS8OE+od81g==
X-Received: by 2002:a5d:55ce:: with SMTP id i14mr3782622wrw.169.1572021423464; 
 Fri, 25 Oct 2019 09:37:03 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id h17sm2989347wme.6.2019.10.25.09.37.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 25 Oct 2019 09:37:02 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Unknown <ax487@HIDDEN>
Subject: Re: bug#37895: 26.3; X protocol error: BadLength (poly request too
 large or internal Xlib length error) on protocol request 139
References: <76051a354c8fe7d23632226f5b51d93233c3c522.camel@HIDDEN>
 <83k18uxn29.fsf@HIDDEN>
 <2bc605b7f4bce3cdf8a705b31ba8b1667cfe461b.camel@HIDDEN>
 <837e4uxgdr.fsf@HIDDEN>
 <898cb0bbc5006ac293c21eb8dfe876faf3f6be27.camel@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 25 Oct 2019 18:37:01 +0200
In-Reply-To: <898cb0bbc5006ac293c21eb8dfe876faf3f6be27.camel@HIDDEN>
 (Unknown's message of "Thu, 24 Oct 2019 20:06:35 +0200")
Message-ID: <m2imocrdci.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37895
Cc: Eli Zaretskii <eliz@HIDDEN>, 37895 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 24 Oct 2019 20:06:35 +0200, Unknown <ax487@HIDDEN> said:

    >> So your file included some emoji, is that correct?

    Unknown> Well, that stands to reason. I suspect the doom-modeline package

    Unknown> https://github.com/seagle0128/doom-modeline

    Unknown> which relies heavily on icons and unicode symbols. In particular, there
    Unknown> are icons for the file types and minor modes. I think that opening a
    Unknown> C/C++ file activates some major/minor mode associated with an
    Unknown> icon/symbol triggering the error.

Bug 37786 looks very similar to this (and on Arch Linux as well). If
you can build the emacs-26 branch, could you see if the following
patch fixes your crash?


diff --git i/lisp/international/fontset.el w/lisp/international/fontset.el
index c90d4f53bd..e80a1a87b9 100644
--- i/lisp/international/fontset.el
+++ w/lisp/international/fontset.el
@@ -804,7 +804,6 @@ setup-default-fontset
              #x2664
              (#x2667 . #x2669)
              (#x266C . #x26FF)
-             (#x2700 . #x27bF) ;; Dingbats
              (#x27C0 . #x27EF) ;; Misc Mathematical Symbols-A
              (#x27F0 . #x27FF) ;; Supplemental Arrows-A
              (#x2900 . #x297F) ;; Supplemental Arrows-B
diff --git i/src/ftfont.c w/src/ftfont.c
index 823fb2095c..017b349318 100644
--- i/src/ftfont.c
+++ w/src/ftfont.c
@@ -861,6 +861,9 @@ ftfont_list (struct frame *f, Lisp_Object spec)
 #endif /* FC_CAPABILITY */
 #ifdef FC_FONTFORMAT
                             FC_FONTFORMAT,
+#endif
+#ifdef FC_COLOR
+                             FC_COLOR,
 #endif
                             NULL);
   if (! objset)
@@ -902,6 +905,15 @@ ftfont_list (struct frame *f, Lisp_Object spec)
     {
       Lisp_Object entity;

+      {
+        FcBool b;
+        if (FcPatternGetBool (fontset->fonts[i], FC_COLOR, 0, &b)
+            == FcResultMatch && b)
+          {
+            fprintf (stderr, "Skipping Color font\n");
+            continue;
+          }
+      }
       if (spacing >= 0)
        {
          int this;




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37895; Package emacs. Full text available.

Message received at 37895 <at> debbugs.gnu.org:


Received: (at 37895) by debbugs.gnu.org; 24 Oct 2019 18:06:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 24 14:06:50 2019
Received: from localhost ([127.0.0.1]:36904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNhVa-0008D5-J8
	for submit <at> debbugs.gnu.org; Thu, 24 Oct 2019 14:06:50 -0400
Received: from mout.gmx.net ([212.227.17.20]:58055)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ax487@HIDDEN>) id 1iNhVY-0008Cp-9E
 for 37895 <at> debbugs.gnu.org; Thu, 24 Oct 2019 14:06:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1571940397;
 bh=xSk27f6Hm8H/BRYfi9o29A6up0ggldnepoeH08tesoM=;
 h=X-UI-Sender-Class:Subject:From:To:Cc:Date:In-Reply-To:References;
 b=aOiCwxiGztkkz+vgmEC8KGKv7UxmwnbwwVsE2CNp4fI8VGjyDQN1sF4sOyCirw65m
 CpfjbRE+j5fGRdujzsQ4G++wHRHM4z9kr0RuysUlqHT1yZ71yVbFxa/kXU38nmQLI0
 N8qPvq1s9IFAxRjlamRZZkb5G0QQ1kbKo1DnnorU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from venla ([92.193.126.250]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MEFvp-1iFhHM174P-00AAy8; Thu, 24
 Oct 2019 20:06:37 +0200
Message-ID: <898cb0bbc5006ac293c21eb8dfe876faf3f6be27.camel@HIDDEN>
Subject: Re: bug#37895: 26.3; X protocol error: BadLength (poly request too
 large or internal Xlib length error) on protocol request 139
From: Unknown <ax487@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Date: Thu, 24 Oct 2019 20:06:35 +0200
In-Reply-To: <837e4uxgdr.fsf@HIDDEN>
References: <76051a354c8fe7d23632226f5b51d93233c3c522.camel@HIDDEN>
 <83k18uxn29.fsf@HIDDEN>
 <2bc605b7f4bce3cdf8a705b31ba8b1667cfe461b.camel@HIDDEN>
 <837e4uxgdr.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.1 
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:Y7E8vIgPtIC7qcgb+pjTVmC8HovHRzKucR8G8ov91Y0OQAkkW/c
 p5wc7tu8Igisc6h6BpPr7hxJoi1CrobhYI0d6iWidEbL34+JHAyYPs63zRLOcCaeen29ohg
 UWxetS13iePHTSI8mb6avPeXdUQFL6QpXwjXufSRlJtkdas5buOC0r5i7DY4xrJqu2Jw0qc
 HN8AlbzFHhvm6mPxXKf8w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:A79Ka7dhlmQ=:SwkE6PUZlhXsb5Tg/39m2g
 O8HGtSjPy4BGQIqoG1/+otzw8aUNA6AzOeX5EXMWJzBfETJu1mlft3njhcnAs/PM5RTy7eaFY
 1vhLgTC5h1nVZWGyw+2Eys09TyVOtJb0TdeE+Bxu1YJyRvIIWBxfMV+FPatYOunLwkfxQctjS
 b3+3YqpkBlHrWeBhcMoUBD08uQG2ERMbHomtT01YnZL1xMT5Bg2It0MbowLI68z9sPOxCAxd9
 1CxicY+ptc5MZLwvSJajDcUF1buTRyjpJgeDgfGCvEyQl9iVp6/luDqBDmz7LlnrPs/qygdmx
 bupfbIx3LpnobbqgTSLXJ6TDPuX0AWw0NYjFiuYsZVqOaIT45eIWh9WytlkEEL3Ja1UYzHcop
 CbcSFWGXsmqcpIQDRDP03lwJKQbOC1Q5B7ISlriGTSOTL/UvxL1Kj/fp9ZbvIpsKLjj3dpowS
 /yJRhPy2VDwcAnxD/otqH9dZhMZ6u1cdD5Xlah9PBZyPOG2LokDkkUOrCMjLkZKIas+oGcF+1
 D+8w+VLfaGFH5hyG9uNZWJzuN3tNx9e5quXtaAKm+AGUBGJtrLG0Wd8OToXsf5tMwbVqPS+Ox
 oGanBFnxD6ia2GgJyoSWQkIvEtlIjMdMnXHlc1FqBC/tVy/qJkcjm6UWpi1ms2Ryj3FeJIlfD
 jUM3dv9nrqWzIUD8XyAbdUdrfXyQGImknO35DPDaFQjkNshAaLeM1Tn/2QDIicdw+TOD0DOvf
 qYUcrSqWs6WoapGSyl47HVr4U0bRwFKEv3v6TJvU6YtBzA8YUfVQwiloeFEt4tHb+TyoYYei2
 vvAbMStqAjI1MpwiMBd6t4buR7qDIeTWAHKqBmEzRM86nAg4spnBWLT0wdN/L8YzQ2SybgFIa
 H/egS8Mcs+8vZyx1Oc6WHlQOFH6NhZ0eKny2y252yvzVst8UwW0ZXbbqbK0OSOjrpb2heySSv
 QYcPTIVxM3IG8OdfPJKTlbYhCeO/WpqpltXxUJq0jEyMG9NyHtz4xrrguNWpUHxoZF0g380R2
 kpDZ2faRCLwB7Rt5MqhofZHVw1kcZ5xR9/FOXqAZwxTKF3kwiz7G7h2vjz3Frfu9KcsDoXslc
 Dfl6bmkK++2oEJOzhUyZ1lyjOD6u8XQIBqWrvFljyeXnPzckNJ+IEJS+N5swgk15Mn1m6qMxb
 n3vMlkmShcPyu/LJUWWpmWt+ICNWo4p3L2KfoEhUJhXfGccHrXV6+VV3hnPgo8xW18IkK7013
 iNPafoz9TJfVfa/o9pZR++3Ej8X051YwxfjyNTw==
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 37895
Cc: 37895 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Thu, 2019-10-24 at 19:22 +0300, Eli Zaretskii wrote:
> > From: Unknown <ax487@HIDDEN>
> > Cc: 37895 <at> debbugs.gnu.org
> > Date: Thu, 24 Oct 2019 17:34:00 +0200
> >
> > Regarding the tracing: As far as I can see the bottommost emacs
> > code
> > being called is
> >
> > static Lisp_Object
> > xftfont_open (struct frame *f, Lisp_Object entity, int pixel_size)
> >
> > I also got
> >
> > (gdb) call debug_print(entity)
> > #<font-entity xft GOOG JoyPixels nil iso10646-1 normal normal
> > normal 0
> > nil nil 0 ((:font-entity "/usr/share/fonts/TTF/JoyPixels.ttf" .
> > 0))>
>
> So your file included some emoji, is that correct?

Well, that stands to reason. I suspect the doom-modeline package

https://github.com/seagle0128/doom-modeline

which relies heavily on icons and unicode symbols. In particular, there
are icons for the file types and minor modes. I think that opening a
C/C++ file activates some major/minor mode associated with an
icon/symbol triggering the error.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37895; Package emacs. Full text available.

Message received at 37895 <at> debbugs.gnu.org:


Received: (at 37895) by debbugs.gnu.org; 24 Oct 2019 16:23:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 24 12:23:04 2019
Received: from localhost ([127.0.0.1]:36837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNftA-0005Ww-Fo
	for submit <at> debbugs.gnu.org; Thu, 24 Oct 2019 12:23:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47675)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iNft7-0005Vn-W8
 for 37895 <at> debbugs.gnu.org; Thu, 24 Oct 2019 12:23:02 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49147)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iNft2-0007gd-N1; Thu, 24 Oct 2019 12:22:56 -0400
Received: from [176.228.60.248] (port=1156 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iNft2-0008Oh-44; Thu, 24 Oct 2019 12:22:56 -0400
Date: Thu, 24 Oct 2019 19:22:40 +0300
Message-Id: <837e4uxgdr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Unknown <ax487@HIDDEN>
In-reply-to: <2bc605b7f4bce3cdf8a705b31ba8b1667cfe461b.camel@HIDDEN> (message
 from Unknown on Thu, 24 Oct 2019 17:34:00 +0200)
Subject: Re: bug#37895: 26.3; X protocol error: BadLength (poly request too
 large or internal Xlib length error) on protocol request 139
References: <76051a354c8fe7d23632226f5b51d93233c3c522.camel@HIDDEN>
 <83k18uxn29.fsf@HIDDEN>
 <2bc605b7f4bce3cdf8a705b31ba8b1667cfe461b.camel@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37895
Cc: 37895 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Unknown <ax487@HIDDEN>
> Cc: 37895 <at> debbugs.gnu.org
> Date: Thu, 24 Oct 2019 17:34:00 +0200
> 
> Regarding the tracing: As far as I can see the bottommost emacs code
> being called is
> 
> static Lisp_Object
> xftfont_open (struct frame *f, Lisp_Object entity, int pixel_size)
> 
> I also got
> 
> (gdb) call debug_print(entity)
> #<font-entity xft GOOG JoyPixels nil iso10646-1 normal normal normal 0
> nil nil 0 ((:font-entity "/usr/share/fonts/TTF/JoyPixels.ttf" . 0))>

So your file included some emoji, is that correct?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37895; Package emacs. Full text available.

Message received at 37895 <at> debbugs.gnu.org:


Received: (at 37895) by debbugs.gnu.org; 24 Oct 2019 15:34:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 24 11:34:20 2019
Received: from localhost ([127.0.0.1]:36787 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNf80-0002CE-Ft
	for submit <at> debbugs.gnu.org; Thu, 24 Oct 2019 11:34:20 -0400
Received: from mout.gmx.net ([212.227.17.21]:56455)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ax487@HIDDEN>) id 1iNf7u-0002Bp-EI
 for 37895 <at> debbugs.gnu.org; Thu, 24 Oct 2019 11:34:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1571931243;
 bh=sDRERdkZv/SIiisXCwMr4WcaBltMU+87Tjl9u1BSncw=;
 h=X-UI-Sender-Class:Subject:From:To:Cc:Date:In-Reply-To:References;
 b=EYKng6d1F0y587CosEt/uz44AYcLB4g9gzkBP5O2Hst/5D0oUK9VdgAj+OB6q8UNp
 2H6K5cArPfjQfy5o4oAq68Fkr5ELXRS4lRopOqkpHxoDgg0WikuDON587brGi76R9v
 kPr4a7bTLMQNrBc1zDjN324okGg2+3Vmk+tqdLRI=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from venla ([134.169.54.114]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N17UQ-1hzqvx1YYk-012W06; Thu, 24
 Oct 2019 17:34:03 +0200
Message-ID: <2bc605b7f4bce3cdf8a705b31ba8b1667cfe461b.camel@HIDDEN>
Subject: Re: bug#37895: 26.3; X protocol error: BadLength (poly request too
 large or internal Xlib length error) on protocol request 139
From: Unknown <ax487@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Date: Thu, 24 Oct 2019 17:34:00 +0200
In-Reply-To: <83k18uxn29.fsf@HIDDEN>
References: <76051a354c8fe7d23632226f5b51d93233c3c522.camel@HIDDEN>
 <83k18uxn29.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.1 
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:XQRzxEZQIn4oFzotu4OYGitaG2RfbTf+B3AJIvVXbMCJa/oiAgm
 qN9+bhQmsjkEmkA7Y1UeT7bDkKmEh+pGru15GZ8ApqonE4Zc+Refb5l6/uELuNmSAP6ygDY
 cGcSQ1KcE2kTSyIFqnop4DjJUq0Drc5Y53u4topJOA5ZkBV4t1+kRi8nEzv5V9vNi7fwHgi
 T6YosGQzc03/o6uZUWrpQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:PN59baMSOR0=:X+MEK64ZmApsoUF7Dyh/OK
 u0VDv3yMGND9yDzu8IhZiD3m57Mgl4ghl+fbFBnIPFlqht1sQgog6QV7seKy0NGI7U58SV81M
 iAMfsHZ4p/OYMHItn02Kivgw/21YfIdegd29FB3uEyPji6PIL8YDt2lrP0DyZY+BmOWNvG/H1
 YQSh7iUVBUwTlVnu1p9Jyqkx3QCt7UmVdGqBD86zCkjLI6PilNtZtIlygA4LTCXmjBlMkh5ts
 6RNEJ/Ip10eJbdJKIYY2vaQ5/j/jmFR4ztlGi8otb+FR/SJtvBMOE4E8nRRd/p8Cm6uw0duEQ
 OAJkqsV7c0PKXvXzc1xRgoTXwgGB4er6Yj2Z4bFznXiNmbRZi/4lrZee/3SHCPmTwEcsrPnM2
 DsEsBjIoJB3+V1Fk7D+3KSea2AWYdJZJpbTIUgMISCw57/u0WhBCZf+JzY/llMaGSZMCbLpaH
 IDqmW3Q+9cuxdcLKOHEobGcaYPGseNN7i+0kOm/AKBCJHt4MVM1smUt0kQdlwMEiz24eXf7Q/
 +VAVFtWNYsLKSjMf5YhDFd2fQPqPv1Xw/FO3hsyEFsGSy3HeW9LTs/+0139/eYHvdlEAHiOsW
 my3RxbAa16UsTWWD6vTlFEZhB8XiIQs6UOoFxJXqPIpCRRLxlU7vXdMFx9qpYHgncpjp6Mj/5
 ATpgIhKx7ghKPZRji0Sdt7KxenV77u+cFKHo1jia4cJdElg1N7xdj2Ol9ky/HGI6Qz7D2AAlL
 R/3LPIAIsO8DTEmXG2gNJwVhcYHPB9hi3/8Os9ZLAYzDVLDiMDcmAvUKsaorNgomfFPfWO085
 OWEWU2+cyZ4tpkCXmFD5a9XCgMr6ovgVsEzeHb+hwkr4/DYnswP1R6N2kaREgiv0ypYQf5C/G
 3FXdoXsW1pas6T5IebwYLpiYVTNRevjI3FubyZb8SX5vF0jaVgyzSpQmJg/mtKXCQNeQqSNrO
 80oP7y+dN7xELx9XCaeNq/R9ZB1AaW3Ks9nDaz+P1Flo5VxHVnLupQ6AqgojWmrNQQN2laOIX
 S3gIJMuhc6GVj/+bj04fllmkwJRWwP0msnyL7zdSEiHGGaxk3EA8VvzHSHf9frUXl7sOmri7C
 qxYkDQCpW2WfUnDsgB+i40oUeAxCPDNuGOBIIbB7YwtTBwEIO7mS06PwX/NqKAHJlM5/q0mXw
 LCvk5P3neZmbnABxHoe800GSRPHfG8cKcdNvxWomert7VW00z+z5wSZt3TKg6A2DZSNZG4uzM
 n66iLRp3K1DmlNX6mR+XKDHvs2CaUxgKzFzpRgQ==
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 37895
Cc: 37895 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Thu, 2019-10-24 at 16:58 +0300, Eli Zaretskii wrote:
> > From: Unknown <ax487@HIDDEN>
> > Date: Thu, 24 Oct 2019 00:14:13 +0200
> >
> > Emacs crashes after triggering an X error message.
> >
> > To reproduce the error, I have to start emacs as a daemon via
> >
> > > emacs --fg-daemon
> >
> > and a client via
> >
> > > emacsclient -create-frame --alternate-editor=3D""
> >
> > As soon as I open a source file (C++ in my case), emacs crashes
> > immediately based on the following X error:
>
> Does this happen with _any_ file or just some?  If the latter, can
> you
> try to figure out what is special about those files?
>
> If this happens with any file, does it also happen with pure ASCII
> files, like the README files in the Emacs distribution?

No, if I open the README, then everything works normally.

>
> > Note: the bug seems to be very similar to the
> > one reported here:
> >
> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D30874#33
> >
> > My emacs is (naturally) heavily modded, and I was not able to
> > pinpoint
> > the problem to one concrete package. Noticably, I *can* enter the
> > unicode symbol 274c.
>
> The backtrace seems to indicate that Emacs crashed trying to open
> some
> font, so tracing the fonts Emacs loads might give a hint wrt what
> goes
> wrong.

I have not included any additional fonts myself, but I guess the theme
does.

Regarding the tracing: As far as I can see the bottommost emacs code
being called is

static Lisp_Object
xftfont_open (struct frame *f, Lisp_Object entity, int pixel_size)

I also got

(gdb) call debug_print(entity)
#<font-entity xft GOOG JoyPixels nil iso10646-1 normal normal normal 0
nil nil 0 ((:font-entity "/usr/share/fonts/TTF/JoyPixels.ttf" . 0))>

Does that help?


>
> Thanks.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37895; Package emacs. Full text available.

Message received at 37895 <at> debbugs.gnu.org:


Received: (at 37895) by debbugs.gnu.org; 24 Oct 2019 13:58:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 24 09:58:50 2019
Received: from localhost ([127.0.0.1]:36704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNddX-0006HV-LM
	for submit <at> debbugs.gnu.org; Thu, 24 Oct 2019 09:58:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iNddW-0006HG-68
 for 37895 <at> debbugs.gnu.org; Thu, 24 Oct 2019 09:58:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46010)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iNddO-0004oB-8e; Thu, 24 Oct 2019 09:58:38 -0400
Received: from [176.228.60.248] (port=4134 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iNddM-0008Ta-IB; Thu, 24 Oct 2019 09:58:37 -0400
Date: Thu, 24 Oct 2019 16:58:22 +0300
Message-Id: <83k18uxn29.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Unknown <ax487@HIDDEN>
In-reply-to: <76051a354c8fe7d23632226f5b51d93233c3c522.camel@HIDDEN> (message
 from Unknown on Thu, 24 Oct 2019 00:14:13 +0200)
Subject: Re: bug#37895: 26.3;
 X protocol error: BadLength (poly request too large or internal Xlib
 length error) on protocol request 139
References: <76051a354c8fe7d23632226f5b51d93233c3c522.camel@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37895
Cc: 37895 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Unknown <ax487@HIDDEN>
> Date: Thu, 24 Oct 2019 00:14:13 +0200
> 
> Emacs crashes after triggering an X error message.
> 
> To reproduce the error, I have to start emacs as a daemon via
> 
> > emacs --fg-daemon
> 
> and a client via
> 
> > emacsclient -create-frame --alternate-editor=""
> 
> As soon as I open a source file (C++ in my case), emacs crashes
> immediately based on the following X error:

Does this happen with _any_ file or just some?  If the latter, can you
try to figure out what is special about those files?

If this happens with any file, does it also happen with pure ASCII
files, like the README files in the Emacs distribution?

> Note: the bug seems to be very similar to the
> one reported here:
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30874#33
> 
> My emacs is (naturally) heavily modded, and I was not able to pinpoint
> the problem to one concrete package. Noticably, I *can* enter the
> unicode symbol 274c.

The backtrace seems to indicate that Emacs crashed trying to open some
font, so tracing the fonts Emacs loads might give a hint wrt what goes
wrong.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37895; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Oct 2019 22:34:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 23 18:34:51 2019
Received: from localhost ([127.0.0.1]:35125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNPDO-0000T4-Em
	for submit <at> debbugs.gnu.org; Wed, 23 Oct 2019 18:34:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:37445)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ax487@HIDDEN>) id 1iNOtd-0008Pb-7G
 for submit <at> debbugs.gnu.org; Wed, 23 Oct 2019 18:14:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53377)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ax487@HIDDEN>) id 1iNOta-0004TC-Jt
 for bug-gnu-emacs@HIDDEN; Wed, 23 Oct 2019 18:14:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,SPOOFED_FREEMAIL,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ax487@HIDDEN>) id 1iNOtY-00044v-3Y
 for bug-gnu-emacs@HIDDEN; Wed, 23 Oct 2019 18:14:22 -0400
Received: from mout.gmx.net ([212.227.15.18]:41815)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <ax487@HIDDEN>) id 1iNOtX-00041T-LO
 for bug-gnu-emacs@HIDDEN; Wed, 23 Oct 2019 18:14:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1571868855;
 bh=PrM9xSmEZfCqGgGBl7KE9nfJ1hgr9Xt07HvwUbl4ihs=;
 h=X-UI-Sender-Class:Subject:From:To:Date;
 b=htjHi+VdO/uUZn4AtBwNXo/4rt3yIhD5BmlP/+cWewwOLWNJGsh7K/xHNvc5Jej8d
 I5jFxQDwQF4TCmEDa7x57NM2LeUFkstk3tAOcOHXIpB82DfJRUvMX7yhuCWBXLLRZq
 PJEfQAxncUKt97N4Ex3ZbOgCnfBpLrSYLkwRDeqY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from venla ([92.193.45.246]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MS3ir-1iZCbk2IPb-00TRGW for
 <bug-gnu-emacs@HIDDEN>; Thu, 24 Oct 2019 00:14:15 +0200
Message-ID: <76051a354c8fe7d23632226f5b51d93233c3c522.camel@HIDDEN>
Subject: 26.3; X protocol error: BadLength (poly request too large or
 internal Xlib length error) on protocol request 139
From: Unknown <ax487@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Date: Thu, 24 Oct 2019 00:14:13 +0200
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.1 
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:1hCOA02e/yioc0HMH8+NmdrJUCscNG+Y/78EbLQdRwlaJ4HemFQ
 UZHx/b+gJGPHP/sXPtl/SsEMYARK1NC4EvBqJXfC4Ie5mTpXDVW/xnae3gfRzCV+QColpzV
 7rpGrWRM/1XHzKXacOv8NTlUJy8+G3HWoVfkPzShQsuP/nhcIcvSzs8AEa5Gt2IEZZPkmUi
 kkAWIUbyI5zJs1s0aebeA==
X-UI-Out-Filterresults: notjunk:1;V03:K0:cV04knqD+Ro=:ffrGlfB8l9ACqseEQK7INl
 dz/WmrNsdvyvQuvKYsxp2CUT3gavZhU9iVQMU4wrrdJyBYtCcqoZ1Px9shYGpRCYx6EFe0OgE
 fjsASkAIfqZ4ZhwqyKYmiw2iS2yulLk9VIZ9Mk2J9uxQ/21sSGc6ZLCsGcAh0i361XZQgusY+
 yg99EIf/AfFVKlaeTwTb6ySStvmTOVo1uW5JlrK+4FEScUMjqLdpIpvMMLIXsB9nZrhYfd70k
 ujF5yF7+V+oaBSdyeo35KJgZKiYLNuAVk/5IK02w+OEbz/6KgIi+IgVaj0wHfd3ixKTGvE1CT
 9COnc98EyRk4U3LdEiru3kndv6nT/+TpsxuEMefu195QYYjjNjimtsdUG1hLwjbRuSgttNDin
 ezmgdvBLQ62vhWdOh+LzGxpojFxXhxAf/7fKVyC0/aGkxH14wYQf1t5jiD3FIf7MBlJgWnxtn
 ha8KU0r5dIQ6JGXHfmXgNsC/gnYTSA/APpcd2jaSubtdx0b/zGqmPtaJk7LkaYHDIHBRJhXbD
 HXfR6H1j6J4yGIh6GlIdwgBqrgqU2yKn/FxnHQRxDtBxSlXcd916Sqd8lw4iiYWtJNSYmQOhc
 RZEYoNSRC1YRJk2guh7DjiPVdx/UDPFCZT0gKkWGixlNOgqYYHvSw6CUZrWiQkZWPfDtG/Fmb
 xtWT5J71UXf/kKbOReb1eEh1Xge09F4gwk8H/o4yTXK6/rnmFLwuH8tzbblhm5kmLFDOZLklH
 VoQ0Jah2PJ1hb+O8iEtooMbrsv3hF08BwSLB9960ORiz7ULMl7lt7wbe9DvWVinLePlpHNlII
 c326626BfcGXovtSa6NRC2nYHZj0J4iwNdhlvmbYWBXcdrLXFNHCl35DL7d08wME5urLi7h82
 70yOUeOUMBKi61Ja9FhV3qq9Qji1zSyzsQCgrf9APcda+AuV9qBRqk8a2g2mk7g67gUSeQHMh
 BTpMVls8akUNnZZqCJET/RN6+ldV4n+A0oKvw46fSVdDs6ibbipbq9SL5wDfFDU+wpkhWNL9K
 dj0ndzYoG+sf/VN8aWZHG5GvS+RU7a7luTJfJ/oLnCYRNoIFnAIS+2tioy0P31K9++v/1cbFZ
 vd2bReQ3c5SJN68SoX5NdebjlgDV1WccupThhm5H7uFNB/4JCIFAeF1u1u0ToavZZc0hjIl7c
 Qoxwrx2M1BkPScW3XkLR2GOAGNn/pEnzlCP58S0aNVpyMSsETi37MxAFhR4B2TYEIHLXGwgxs
 2/amoTu5PHessEuFds8ALuIJYNIJ/lxzBBVKVXA==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 212.227.15.18
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 23 Oct 2019 18:34:49 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Emacs crashes after triggering an X error message.

To reproduce the error, I have to start emacs as a daemon via

> emacs --fg-daemon

and a client via

> emacsclient -create-frame --alternate-editor=3D""

As soon as I open a source file (C++ in my case), emacs crashes
immediately based on the following X error:

X protocol error: BadLength (poly request too large or internal Xlib
length error) on protocol request 139
When compiled with GTK, Emacs cannot recover from X disconnects.
This is a GTK bug: https://gitlab.gnome.org/GNOME/gtk/issues/221
For details, see etc/PROBLEMS.
Fatal error 6: Aborted

This does *not* happen when I launch emacs directly.

Note: the bug seems to be very similar to the
one reported here:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D30874#33

My emacs is (naturally) heavily modded, and I was not able to pinpoint
the problem to one concrete package. Noticably, I *can* enter the
unicode symbol 274c.

I suspect that the theme I am using (doom) triggers the rendering of
some unicode glyph or icon causing the error.

C-level backtrace:

#0  0x00007ffff57e87b5 in raise () at /usr/lib/libpthread.so.0
#1  0x00000000005686da in terminate_due_to_signal (sig=3D6,
backtrace_limit=3D40) at emacs.c:399
#2  0x0000000000590abf in emacs_abort () at sysdep.c:2426
#3  0x000000000052eb6a in x_connection_closed (dpy=3D0x4386c20,
error_message=3D0x7fffffff3d50 "X protocol error: BadLength (poly request
too large or internal Xlib length error) on protocol request 139",
ioerror=3Dfalse) at xterm.c:9831
        dpyinfo =3D 0x44cb000
        frame =3D 12056501
        tail =3D 0
        idx =3D 41
#4  0x000000000052ed10 in x_error_quitter (display=3D0x4386c20,
event=3D0x7fffffff3ef0) at xterm.c:9919
        buf =3D "BadLength (poly request too large or internal Xlib
length error)", '\000' <repeats 191 times>
        buf1 =3D "X protocol error: BadLength (poly request too large or
internal Xlib length error) on protocol request
139\000\005\000\000\000\000\377\377\377\377\000\000\000\000E\271#\005\0
00\000\000\000\377\377\377\377\000\000\000\000=C5=B9#\005\000\000\000\000\=
37
7\377\377\377\000\000\000\000E\272#\005\000\000\000\000\377\377\377\377
\000\000\000\000=C5=BA#\005\000\000\000\000\377\377\377\377\000\000\000\00=
0\
000\237\350\353H!\363,\377\377\377\377\000\000\000\000\202#"...
#5  0x000000000052ec59 in x_error_handler (display=3D0x4386c20,
event=3D0x7fffffff3ef0) at xterm.c:9889
#6  0x00007ffff6e255db in _XError () at /usr/lib/libX11.so.6
#7  0x00007ffff6e22388 in  () at /usr/lib/libX11.so.6
#8  0x00007ffff6e22425 in  () at /usr/lib/libX11.so.6
#9  0x00007ffff6e22d8a in _XEventsQueued () at /usr/lib/libX11.so.6
#10 0x00007ffff6e04c3b in XFlush () at /usr/lib/libX11.so.6
#11 0x00007ffff6e420b9 in  () at /usr/lib/libX11.so.6
#12 0x00007ffff6e30312 in XDestroyIC () at /usr/lib/libX11.so.6
#13 0x000000000053a957 in free_frame_xic (f=3D0x4330800) at xfns.c:2676
#14 0x0000000000532df8 in x_free_frame_resources (f=3D0x4330800) at
xterm.c:11786
        dpyinfo =3D 0x44cb000
        hlinfo =3D 0x44cb0b8
#15 0x000000000053361e in x_destroy_window (f=3D0x4330800) at
xterm.c:11915
        dpyinfo =3D 0x44cb000
#16 0x0000000000428135 in delete_frame (frame=3D70453253, force=3D39552) a=
t
frame.c:2049
        terminal =3D 0xb01ea0 <lispsym+39552>
        f =3D 0x4330800
        sf =3D 0xb7f7b0 <bss_sbrk_buffer+494864>
        kb =3D 0x563e87 <builtin_lisp_symbol+48>
        frames =3D 0
        frame1 =3D 12056501
        minibuffer_selected =3D 0
        is_tooltip_frame =3D 0
        nochild =3D true
#17 0x000000000052ead8 in x_connection_closed (dpy=3D0x4386c20,
error_message=3D0x7fffffff5430 "X protocol error: BadLength (poly request
too large or internal Xlib length error) on protocol request 139",
ioerror=3Dfalse) at xterm.c:9810
        dpyinfo =3D 0x44cb000
        frame =3D 70453253
        tail =3D 68271507
        idx =3D 40
#18 0x000000000052ed10 in x_error_quitter (display=3D0x4386c20,
event=3D0x7fffffff55d0) at xterm.c:9919
        buf =3D "BadLength (poly request too large or internal Xlib
length error)", '\000' <repeats 191 times>
        buf1 =3D "X protocol error: BadLength (poly request too large or
internal Xlib length error) on protocol request
139\000\005\000\000\000\000\000\027$\005\000\000\000\000\240U\377\377\3
77\177\000\000\300T\377\377\377\177\000\000\000\237\350\353H!\363,4U\37
7\377\000\000\000\000\000\237\350\353H!\363,\000\000\000\000\000\000\00
0\000@U\377\377\377\177\000\000\237Y\377\377\377\177\000\000\000\237\35
0\353H!\363,\353X\377\377\377\177\000\000\000\000\000\000\000\000\000\0
00"...
#19 0x000000000052ec59 in x_error_handler (display=3D0x4386c20,
event=3D0x7fffffff55d0) at xterm.c:9889
#20 0x00007ffff6e255db in _XError () at /usr/lib/libX11.so.6
#21 0x00007ffff6e22388 in  () at /usr/lib/libX11.so.6
#22 0x00007ffff6e22425 in  () at /usr/lib/libX11.so.6
#23 0x00007ffff6e22d8a in _XEventsQueued () at /usr/lib/libX11.so.6
#24 0x00007ffff6e14782 in XPending () at /usr/lib/libX11.so.6
#25 0x00007ffff766da00 in  () at /usr/lib/libgdk-3.so.0
#26 0x00007ffff6fb5a50 in g_main_context_prepare () at
/usr/lib/libglib-2.0.so.0
#27 0x00007ffff6fb6096 in  () at /usr/lib/libglib-2.0.so.0
#28 0x00007ffff6fb62ea in g_main_context_pending () at
/usr/lib/libglib-2.0.so.0
#29 0x00007ffff79aa530 in gtk_events_pending () at /usr/lib/libgtk-
3.so.0
#30 0x000000000052d445 in XTread_socket (terminal=3D0x42f3a40,
hold_quit=3D0x7fffffff5910) at xterm.c:9146
        count =3D 0
        event_found =3D false
        dpyinfo =3D 0x44cb000
#31 0x0000000000579cff in gobble_input () at keyboard.c:6919
        nr =3D 2000317537
        hold_quit =3D {
          kind =3D NO_EVENT,
          part =3D scroll_bar_nowhere,
          code =3D 0,
          modifiers =3D 0,
          x =3D 0,
          y =3D 0,
          timestamp =3D 0,
          frame_or_window =3D 0,
          arg =3D 0
        }
        next =3D 0xb7f630 <bss_sbrk_buffer+494480>
        nread =3D 0
        err =3D false
        t =3D 0x42f3a40
#32 0x000000000057a24f in handle_async_input () at keyboard.c:7156
        nread =3D 32767
#33 0x000000000057a26e in process_pending_signals () at keyboard.c:7170
#34 0x000000000057a2af in unblock_input_to (level=3D0) at keyboard.c:7185
#35 0x000000000057a2d4 in unblock_input () at keyboard.c:7204
#36 0x00000000006b9156 in xftfont_open (f=3D0x4330800, entity=3D86263589,
pixel_size=3D13) at xftfont.c:393
        result =3D FcResultMatch
        display =3D 0x4386c20
        val =3D 2
        filename =3D 84973412
        idx =3D 2
        font_object =3D 85188021
        pat =3D 0x451cb40
        match =3D 0x514f100
        xftfont_info =3D 0x513ddb0
        font =3D 0x513ddb0
        size =3D 13
        xftfont =3D 0x525fdc0
        spacing =3D 0
        i =3D 0
        extents =3D {
          width =3D 1476,
          height =3D 128,
          x =3D 0,
          y =3D 101,
          xOff =3D 1492,
          yOff =3D 0
        }
        ft_face =3D 0x4a403d0
        matrix =3D 0x50aef20
#37 0x0000000000637b91 in font_open_entity (f=3D0x4330800,
entity=3D86263589, pixel_size=3D13) at font.c:2903
        driver_list =3D 0x4171610
        objlist =3D 0
        size =3D 2
        val =3D 58176
        font_object =3D 140737488313144
        font =3D 0x5244725
        height =3D 32767
        psize =3D 13
        min_width =3D 0


In GNU Emacs 26.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.12)
 of 2019-10-23 built on venla
Windowing system distributor 'The X.Org Foundation', version
11.0.12005000
System Description:	Arch Linux

Recent messages:
[yas] Prepared just-in-time loading of snippets successfully.
Loading /home/ax487/.emacs.d/yasnippet.el (source)...done
Loading /home/ax487/.emacs.d/zimpl.el (source)...done
Loading /home/ax487/.emacs.d/hydra.el (source)...done
Loading /home/ax487/.emacs.d/windmove.el (source)...done
Loading /home/ax487/.emacs.d/bindings.el (source)...
Loading /home/ax487/.emacs.d/functions.el (source)...done
Loading /home/ax487/.emacs.d/bindings.el (source)...done
Turning on magit-auto-revert-mode...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib
 --localstatedir=3D/var --with-x-toolkit=3Dgtk3 --with-xft --with-modules
 'CFLAGS=3D-march=3Dx86-64 -mtune=3Dgeneric -O2 -pipe -fno-plt -O0 -ggdb
 -fvar-tracking-assignments
 -fdebug-prefix-map=3D/home/ax487/Downloads/emacs/src=3D/usr/src/debug'
 CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2
 LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS GLIB
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LC_TIME: de_DE.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  savehist-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  smartparens-global-mode: t
  smartparens-mode: t
  global-magit-file-mode: t
  diff-auto-refine-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  projectile-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  doom-modeline-mode: t
  shell-dirtrack-mode: t
  company-mode: t
  show-paren-mode: t
  override-global-mode: t
  global-hl-line-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/ax487/.emacs.d/elpa/cmake-mode-20190710.1319/cmake-mode hides
/usr/share/emacs/site-lisp/cmake-mode
/home/ax487/.emacs.d/elpa/protobuf-mode-20170526.1650/protobuf-mode
hides /usr/share/emacs/site-lisp/protobuf-mode
/home/ax487/.emacs.d/elpa/let-alist-1.0.6/let-alist hides
/usr/share/emacs/26.3/lisp/emacs-lisp/let-alist

Features:
(shadow sort flyspell ispell mail-extr face-remap emacsbug sendmail
ido-better-flex cl smex ido vc-mtn vc-hg vc-git vc-bzr vc-src vc-sccs
vc-svn vc-cvs vc-rcs vc vc-dispatcher company-oddmuse company-keywords
company-etags etags company-gtags company-dabbrev-code company-dabbrev
company-files company-capf company-cmake company-xcode company-clang
company-semantic company-eclim company-template company-bbdb savehist
windmove hydra lv zpl-mode string-inflection undo-tree diff
smartparens-config smartparens-python smartparens-markdown
smartparens-text smartparens magit-submodule magit-obsolete magit-blame
magit-stash magit-reflog magit-bisect magit-push magit-pull magit-fetch
magit-clone magit-remote magit-commit magit-sequence magit-notes
magit-worktree magit-tag magit-merge magit-branch magit-reset
magit-files magit-refs magit-status magit magit-repos magit-apply
magit-wip magit-log which-func magit-diff smerge-mode diff-mode
magit-core magit-autorevert autorevert magit-margin magit-transient
magit-process magit-mode transient git-commit magit-git magit-section
magit-utils crm log-edit message dired dired-loaddefs rfc822 mml mml-
sec
epa derived epg gnus-util rmail rmail-loaddefs mm-decode mm-bodies
mm-encode mailabbrev mail-utils gmm-utils mailheader pcvs-util add-log
with-editor async-bytecomp async server projectile grep ibuf-ext
ibuffer
ibuffer-loaddefs ccls ccls-member-hierarchy ccls-inheritance-hierarchy
ccls-call-hierarchy ccls-tree ccls-code-lens ccls-semantic-highlight
ccls-common lsp lsp-mode yasnippet elec-pair ewoc markdown-mode color
noutline outline tree-widget wid-edit xref spinner network-stream
starttls inline imenu ht filenotify em-glob esh-util dash-functional
bindat flymake-proc flymake compile warnings thingatpt project cc-mode
cc-fonts cc-guess cc-menus cc-cmds flycheck find-func doom-modeline
doom-modeline-segments doom-modeline-env doom-modeline-core subr-x
shrink-path f s dash all-the-icons all-the-icons-faces data-material
data-weathericons data-octicons data-fileicons data-faicons
data-alltheicons memoize doom-one-theme doom-themes doom-themes-base
modern-cpp-font-lock tern url-http tls gnutls url-auth mail-parse
rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-gw nsm rmc
puny url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util mailcap cython-mode python tramp-sh
tramp
tramp-compat tramp-loaddefs trampver ucs-normalize shell pcomplete
parse-time format-spec json map comint ring ansi-color company pcase
backup-each-save edmacro kmacro cl-extra help-mode ampl-mode paren
use-package use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key easy-mmode use-package-core finder-inf
tex-site advice rx info package easymenu epg-config url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache url-vars seq byte-opt gv bytecomp byte-compile cconv
cc-styles cc-align cc-engine cc-vars cc-defs cl-loaddefs cl-lib hl-line
cus-start cus-load time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-
readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 528275 32285)
 (symbols 48 45789 1)
 (miscs 40 72 248)
 (strings 32 123767 7859)
 (string-bytes 1 3782826)
 (vectors 16 73534)
 (vector-slots 8 1192311 11202)
 (floats 8 805 433)
 (intervals 56 565 721)
 (buffers 992 12))





Acknowledgement sent to Unknown <ax487@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37895; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 13 Nov 2019 14:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.